[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TItemPropList.Insert

Inserts the new item at the specified position in the container.

## Declaration

Source position: valedit.pas line 70

`public procedure TItemPropList.Insert(`
`Index: Integer;`
`AValue: TItemProp`
`);`

## Arguments

`Index` |  | Ordinal position for the new item.
`AValue` |  | New item to insert into the list.

## Description

Insert is a procedure used to insert the new item in the container at the specified position. Index specifies the ordinal position in the range 0..Count-1 where the item will be stored. AValue is the TItemProp instance to store at the specified position. Insert calls the corresponding method in TFPObjectList using Index and AValue as arguments.

Use Add to append a new item to the container.

## See also

TItemPropList.Add |  | Appends the specified item to the list.